//
//  ViewController.m
//  拳皇
//
//  Created by 石怀亮 on 2017/5/19.
//  Copyright © 2017年 石怀亮. All rights reserved.
//

#import "ViewController.h"
#import <AVFoundation/AVFoundation.h>

@interface ViewController ()
@property (weak, nonatomic) IBOutlet UIImageView *imageView;
//音乐播放器强应引用
@property (nonatomic, strong) AVPlayer *player;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}




// MARK: - ************************************* 站 *************************************
- (IBAction)stand {
//    1.加载所有图片
    NSMutableArray<UIImage *> *standImages = [NSMutableArray array];
    for (int i = 0; i < 10; i++) {
//        获取图片名称
        NSString *imageName = [NSString stringWithFormat:@"stand_%d",i+1];
        
//        创建UIImage
        UIImage *image = [UIImage imageNamed:imageName];
        
//        装入数组
        [standImages addObject:image];
    }
    
//    2.设置动画图片
    self.imageView.animationImages = standImages;
    
//    3.设置播放次数
    self.imageView.animationRepeatCount = 0;
    
//    设置播放时长
    self.imageView.animationDuration = 0.7;
    
    
//    4.播放
    [self.imageView startAnimating];
}


// MARK: - ************************************* 小招 *************************************
- (IBAction)xiaozhao {
//    1.加载所有图片
    NSMutableArray<UIImage *> *xiaozhaoImages = [NSMutableArray array];
    for (int i = 0; i < 39; i++) {
        //        获取图片名称
        NSString *imageName = [NSString stringWithFormat:@"xiaozhao3_%d",i+1];
        
        //        创建UIImage
        UIImage *image = [UIImage imageNamed:imageName];
        
        //        装入数组
        [xiaozhaoImages addObject:image];
    }
    
    //    2.设置动画图片
    self.imageView.animationImages = xiaozhaoImages;
    
    //    3.设置播放次数
    self.imageView.animationRepeatCount = 1;
    
    //    设置播放时长
    self.imageView.animationDuration = 3;
    
    
    //    4.播放
    [self.imageView startAnimating];
    
    
    //    创建url
    NSURL *musicURL = [[NSBundle mainBundle] URLForResource:@"xiaozhao3.mp3" withExtension:nil];
    
    //    创建曲目
    AVPlayerItem *playerItem = [[AVPlayerItem alloc] initWithURL:musicURL];
    
    
    //    5.创建音乐播放器
    self.player = [[AVPlayer alloc] initWithPlayerItem:playerItem];
    
    //    播放
    [self.player play];
    
}



// MARK: - ************************************* 大招 *************************************
- (IBAction)dazhao {
    
    //    1.加载所有图片
    NSMutableArray<UIImage *> *dazhaoImages = [NSMutableArray array];
    for (int i = 0; i < 87; i++) {
        //        获取图片名称
        NSString *imageName = [NSString stringWithFormat:@"dazhao_%d",i+1];
        
        //        创建UIImage
        UIImage *image = [UIImage imageNamed:imageName];
        
        //        装入数组
        [dazhaoImages addObject:image];
    }
    
    //    2.设置动画图片
    self.imageView.animationImages = dazhaoImages;
    
    //    3.设置播放次数
    self.imageView.animationRepeatCount = 1;
    
    //    设置播放时长
    self.imageView.animationDuration = 5;
    
    
    //    4.播放
    [self.imageView startAnimating];
    
//    创建url
    NSURL *musicURL = [[NSBundle mainBundle] URLForResource:@"dazhao.mp3" withExtension:nil];
    
//    创建曲目
    AVPlayerItem *playerItem = [[AVPlayerItem alloc] initWithURL:musicURL];
    
    
    //    5.创建音乐播放器
    self.player = [[AVPlayer alloc] initWithPlayerItem:playerItem];
    
//    播放
    [self.player play];
    
    
    
}


@end
